boost::logging::rdLogger Class Reference

`#include <RDLog.h>`

## Public Member Functions

| rdLogger (std::ostream *dest, bool owner=false)
| ~rdLogger ()

## Public Attributes

std::ostream * | dp_dest
bool | df_owner
bool | df_enabled

## Detailed Description

Definition at line 18 of file RDLog.h.

## Constructor & Destructor Documentation

boost::logging::rdLogger::rdLogger | ( | std::ostream * | dest,
|  | bool | owner = `false`
| ) |  |

inline

Definition at line 20 of file RDLog.h.

boost::logging::rdLogger::~rdLogger | ( |  | ) |

inline

Definition at line 24 of file RDLog.h.

References dp_dest.

## Member Data Documentation

bool boost::logging::rdLogger::df_enabled

Definition at line 23 of file RDLog.h.

bool boost::logging::rdLogger::df_owner

Definition at line 23 of file RDLog.h.

std::ostream* boost::logging::rdLogger::dp_dest

Definition at line 21 of file RDLog.h.

Referenced by ~rdLogger().

The documentation for this class was generated from the following file:

- RDLog.h